//+------------------------------------------------------------------+
//|                                         mtt_TestWndContainer.mq4 |
//|                                    Copyright 2015, Daniel Cherry |
//|                                    https://www.mytradertools.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Daniel Cherry"
#property link      "https://www.mytradertools.com"
#property version   "1.00"
#property indicator_chart_window


// Add the icludes.
#include "WndContainerTest_Class.mqh"
#include <Controls\Dialog.mqh>


// variables to hold the chart objects
CWndContainerTest       m_container;         // Object to test the OnActivate() of CWndContainer
CAppDialog              m_dialog;            // Dialog to hold the CWndContanerTest class.

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int OnInit()
  {


   // create the dialog.
   m_dialog.Create(ChartID(), "AppDialog1", 0, 20,20,400,200);

   // create and add the windows container test object.         
   m_container.Create(ChartID(), "Container1", 0, 20, 20, 170, 42);
   m_dialog.Add(m_container);
   
   // run the dialog.
   m_dialog.Run();   
   
   
   // Alter the width to make onReszie to fire. This will check that events are plugged in correctly.
   m_container.Width(m_container.Width() - 1);
   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int OnCalculate(const int rates_total,
                const int prev_calculated,
                const datetime &time[],
                const double &open[],
                const double &high[],
                const double &low[],
                const double &close[],
                const long &tick_volume[],
                const long &volume[],
                const int &spread[])
  {
//---
   
   // Nothing to do here.
   // OnActivate() should occur when the mouse is hovering over the m_container object.
   
   
   
//--- return value of prev_calculated for next call
   return(rates_total);
  }
//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
  {
//--- Call the Dialog event handler.
   m_dialog.ChartEvent(id, lparam,dparam,sparam);   
  }
//+------------------------------------------------------------------+
